"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
exports.__esModule = true;
exports.watchScreen = void 0;
function watchScreen(elementReference, screenCode, options) {
    var observer = new IntersectionObserver(function (entries) {
        entries.forEach(function (entry) {
            if (entry.isIntersecting) {
                console.log("Elemento ".concat(screenCode, " est\u00E1 vis\u00EDvel na tela."));
            }
            else {
                console.log("Elemento ".concat(screenCode, " n\u00E3o est\u00E1 vis\u00EDvel na tela."));
            }
        });
    }, __assign({}, options));
    observer.observe(elementReference);
    return function () {
        observer.unobserve(elementReference);
    };
}
exports.watchScreen = watchScreen;
